cc.funkemunky.api.tinyprotocol.packet.in

## Enum WrappedInEntityActionPacket.EnumPlayerAction

- java.lang.Object
- - java.lang.Enum<WrappedInEntityActionPacket.EnumPlayerAction>
  - - cc.funkemunky.api.tinyprotocol.packet.in.WrappedInEntityActionPacket.EnumPlayerAction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WrappedInEntityActionPacket.EnumPlayerAction>

Enclosing class:
  WrappedInEntityActionPacket

    public static enum WrappedInEntityActionPacket.EnumPlayerAction
    extends java.lang.Enum<WrappedInEntityActionPacket.EnumPlayerAction>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`OPEN_INVENTORY`
`START_FALL_FLYING`
`START_RIDING_JUMP`
`START_SNEAKING`
`START_SPRINTING`
`STOP_RIDING_JUMP`
`STOP_SLEEPING`
`STOP_SNEAKING`
`STOP_SPRINTING`

### Method Summary

All Methods Static Methods Concrete Methods
`static WrappedInEntityActionPacket.EnumPlayerAction` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WrappedInEntityActionPacket.EnumPlayerAction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### START_SNEAKING

    public static final WrappedInEntityActionPacket.EnumPlayerAction START_SNEAKING

#### STOP_SNEAKING

    public static final WrappedInEntityActionPacket.EnumPlayerAction STOP_SNEAKING

#### STOP_SLEEPING

    public static final WrappedInEntityActionPacket.EnumPlayerAction STOP_SLEEPING

#### START_SPRINTING

    public static final WrappedInEntityActionPacket.EnumPlayerAction START_SPRINTING

#### STOP_SPRINTING

    public static final WrappedInEntityActionPacket.EnumPlayerAction STOP_SPRINTING

#### START_RIDING_JUMP

    public static final WrappedInEntityActionPacket.EnumPlayerAction START_RIDING_JUMP

#### STOP_RIDING_JUMP

    public static final WrappedInEntityActionPacket.EnumPlayerAction STOP_RIDING_JUMP

#### OPEN_INVENTORY

    public static final WrappedInEntityActionPacket.EnumPlayerAction OPEN_INVENTORY

#### START_FALL_FLYING

    public static final WrappedInEntityActionPacket.EnumPlayerAction START_FALL_FLYING

### Method Detail

#### values

    public static WrappedInEntityActionPacket.EnumPlayerAction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WrappedInEntityActionPacket.EnumPlayerAction c : WrappedInEntityActionPacket.EnumPlayerAction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WrappedInEntityActionPacket.EnumPlayerAction valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null